
/**************************************************************
*
* prepc source: methods preparation
*
**************************************************************/

#include "prep.h"


void wait(u16 milliSecs){
		u16 z;
		for(z = 0; z<milliSecs; z++)
		swiWaitForVBlank();

}


void prep(){
	

	int memBank1 = 0;
	int memBank2 = 6;//256 not 192
 
	
	
	//main screen
	videoSetMode(MODE_5_2D| DISPLAY_BG3_ACTIVE ); 
	vramSetBankA(VRAM_A_MAIN_BG); //128 K
	vramSetBankB(VRAM_B_MAIN_BG); //128 K
	vramSetBankD(VRAM_D_MAIN_BG); // not the full screen 128 anymore
	
	//sub screen
	videoSetModeSub(MODE_5_2D| DISPLAY_BG3_ACTIVE  ); 
	
    vramSetBankC(VRAM_C_SUB_BG);// 128 K

	// set up our top bitmap background
	bgInit( 3, BgType_Bmp16, BgSize_B16_256x256, 0, 0 );

	// set up our bottom bitmap background
	bgInitSub( 3, BgType_Bmp16, BgSize_B16_256x256, 0, 0 );
	
	video_buffer1 = (u16*)BG_BMP_RAM(memBank1);
	video_buffer2 = (u16*)BG_BMP_RAM(memBank2);
	video_buffer4 = (u16*)BG_BMP_RAM_SUB(0);

	splashImage(video_buffer1, (u32 *)iepro_fun_img_bin);
	
	splashImage(video_buffer2, (u32 *)iepro_fun_img_bin);
	
	splashImage(video_buffer4, (u32 *)splash_bounce_img_bin);
	
	//playAmbulance();
	
	//wait(300);
	
	}

